diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/test_fts_dictionaries_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/test_fts_dictionaries_put.py
index 7939af49..b2449cfe 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/test_fts_dictionaries_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/tests/test_fts_dictionaries_put.py
@@ -12,50 +12,45 @@ from __future__ import print_function
 import json
 import uuid
 
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
 from pgadmin.browser.server_groups.servers.databases.tests import \
     utils as database_utils
-from pgadmin.utils.route import BaseTestGenerator
+from pgadmin.utils.base_test_generator import BaseTestGenerator
+from pgadmin.utils.tests_helper import convert_response_to_json, \
+    assert_json_values_from_response
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from . import utils as fts_dict_utils
 
 
-class FtsDictionaryPutTestCase(BaseTestGenerator):
-    """ This class will update added FTS dictionary under schema node. """
-
-    scenarios = [
-        # Fetching default URL for FTS dictionary node.
-        ('Fetch FTS dictionary Node URL', dict(
-            url='/browser/fts_dictionary/obj/'))
-    ]
+class TestFTSDictionariesPut:
+    def test_fts_dictionaries_put(self, request, context_of_tests):
+        """
+        When the FTS dictionaries put request is send to the backend
+        it returns 200 status
+        """
+        request.addfinalizer(self.tearDown)
 
-    def setUp(self):
-
-        self.schema_data = parent_node_dict['schema'][-1]
-        self.schema_name = self.schema_data['schema_name']
-        self.schema_id = self.schema_data['schema_id']
-        self.server_id = self.schema_data['server_id']
-        self.db_id = self.schema_data['db_id']
-        self.db_name = parent_node_dict["database"][-1]["db_name"]
-        self.fts_dict_name = "fts_dict_%s" % str(uuid.uuid4())[1:8]
+        url = '/browser/fts_dictionary/obj/'
 
-        self.fts_dict_id = fts_dict_utils.create_fts_dictionary(
-            self.server,
-            self.db_name,
-            self.schema_name,
-            self.fts_dict_name)
+        self.tester = context_of_tests['test_client']
+        self.server = context_of_tests['server']
+        self.server_data = parent_node_dict['database'][-1]
+        self.server_id = self.server_data['server_id']
+        self.db_id = self.server_data['db_id']
+        self.db_name = self.server_data['db_name']
 
-    def runTest(self):
-        """ This function will update FTS dictionary present under test schema.
-         """
+        self.schema_info = parent_node_dict['schema'][-1]
+        self.schema_name = self.schema_info['schema_name']
+        self.schema_id = self.schema_info['schema_id']
 
         db_con = database_utils.connect_database(self,
                                                  utils.SERVER_GROUP,
                                                  self.server_id,
                                                  self.db_id)
-
         if not db_con["info"] == "Database connected.":
             raise Exception("Could not connect to database.")
 
@@ -65,6 +60,14 @@ class FtsDictionaryPutTestCase(BaseTestGenerator):
         if not schema_response:
             raise Exception("Could not find the schema.")
 
+        self.fts_dict_name = "fts_dict_%s" % str(uuid.uuid4())[1:8]
+        self.fts_dict_id = fts_dict_utils.create_fts_dictionary(
+            self.server,
+            self.db_name,
+            self.schema_name,
+            self.fts_dict_name
+        )
+
         dict_response = fts_dict_utils.verify_fts_dict(self.server,
                                                        self.db_name,
                                                        self.fts_dict_name)
@@ -78,8 +81,8 @@ class FtsDictionaryPutTestCase(BaseTestGenerator):
                 "id": self.fts_dict_id
 
             }
-        put_response = self.tester.put(
-            self.url + str(utils.SERVER_GROUP) + '/' +
+        response = self.tester.put(
+            url + str(utils.SERVER_GROUP) + '/' +
             str(self.server_id) + '/' +
             str(self.db_id) + '/' +
             str(self.schema_id) + '/' +
@@ -87,13 +90,20 @@ class FtsDictionaryPutTestCase(BaseTestGenerator):
             data=json.dumps(data),
             follow_redirects=True)
 
-        self.assertEquals(put_response.status_code, 200)
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        assert_json_values_from_response(
+            json_response,
+            'fts_dictionary',
+            'pgadmin.node.fts_dictionary',
+            False,
+            'icon-fts_dictionary',
+            self.fts_dict_name
+        )
 
     def tearDown(self):
-        """This function delete the fts dictionaries and disconnect the test
-        database."""
         fts_dict_utils.delete_fts_dictionaries(self.server, self.db_name,
                                                self.schema_name,
                                                self.fts_dict_name)
-        database_utils.disconnect_database(self, self.server_id,
-                                           self.db_id)
+        database_utils.client_disconnect_database(self.tester, self.server_id,
+                                                  self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parser/tests/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parser/tests/__init__.py
index 8f5b6fb2..590026ad 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parser/tests/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parser/tests/__init__.py
@@ -6,11 +6,3 @@
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
-
-from pgadmin.utils.route import BaseTestGenerator
-
-
-class ForeignTableTestGenerator(BaseTestGenerator):
-
-    def runTest(self):
-        return []
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parser/tests/test_fts_parser_add.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parser/tests/test_fts_parser_add.py
index ff193e24..777cd241 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parser/tests/test_fts_parser_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parser/tests/test_fts_parser_add.py
@@ -12,38 +12,45 @@ from __future__ import print_function
 import json
 import uuid
 
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
 from pgadmin.browser.server_groups.servers.databases.tests import \
     utils as database_utils
-from pgadmin.utils.route import BaseTestGenerator
+from pgadmin.utils.base_test_generator import BaseTestGenerator
+from pgadmin.utils.tests_helper import convert_response_to_json, \
+    assert_json_values_from_response
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from . import utils as fts_parser_utils
 
 
-class FtsParserAddTestCase(BaseTestGenerator):
-    """ This class will add new FTS parser under schema node. """
+class TestFTSParserAdd:
+    def test_fts_parser_add(self, request, context_of_tests):
+        """
+        When the FTS parser add request is send to the backend
+        it returns 200 status
+        """
+        request.addfinalizer(self.tearDown)
+
+        url = '/browser/fts_parser/obj/'
 
-    scenarios = [
-        # Fetching default URL for FTS parser node.
-        ('Fetch FTS parser Node URL', dict(url='/browser/fts_parser/obj/'))
-    ]
+        self.tester = context_of_tests['test_client']
+        self.server = context_of_tests['server']
+        self.server_data = parent_node_dict['database'][-1]
+        self.server_id = self.server_data['server_id']
+        self.db_id = self.server_data['db_id']
+        self.db_name = self.server_data['db_name']
 
-    def runTest(self):
-        """ This function will add a new FTS parser under test schema. """
-        self.schema_data = parent_node_dict['schema'][-1]
-        self.schema_name = self.schema_data['schema_name']
-        self.schema_id = self.schema_data['schema_id']
-        self.server_id = self.schema_data['server_id']
-        self.db_id = self.schema_data['db_id']
-        self.db_name = parent_node_dict["database"][-1]["db_name"]
+        self.schema_info = parent_node_dict['schema'][-1]
+        self.schema_name = self.schema_info['schema_name']
+        self.schema_id = self.schema_info['schema_id']
 
         db_con = database_utils.connect_database(self,
                                                  utils.SERVER_GROUP,
                                                  self.server_id,
                                                  self.db_id)
-
         if not db_con["info"] == "Database connected.":
             raise Exception("Could not connect to database.")
 
@@ -66,19 +73,26 @@ class FtsParserAddTestCase(BaseTestGenerator):
             }
 
         response = self.tester.post(
-            self.url + str(utils.SERVER_GROUP) + '/' +
+            url + str(utils.SERVER_GROUP) + '/' +
             str(self.server_id) + '/' + str(self.db_id) +
             '/' + str(self.schema_id) + '/',
             data=json.dumps(self.data),
             content_type='html/json')
 
-        self.assertEquals(response.status_code, 200)
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        assert_json_values_from_response(
+            json_response,
+            'fts_parser',
+            'pgadmin.node.fts_parser',
+            False,
+            'icon-fts_parser',
+            self.fts_parser_name
+        )
 
     def tearDown(self):
-        """This function delete the fts_parser and disconnect the test
-        database."""
         fts_parser_utils.delete_fts_parser(self.server, self.db_name,
                                            self.schema_name,
                                            self.fts_parser_name)
-        database_utils.disconnect_database(self, self.server_id,
-                                           self.db_id)
+        database_utils.client_disconnect_database(self.tester, self.server_id,
+                                                  self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parser/tests/test_fts_parser_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parser/tests/test_fts_parser_delete.py
index 664fed64..5a77c851 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parser/tests/test_fts_parser_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parser/tests/test_fts_parser_delete.py
@@ -11,47 +11,44 @@ from __future__ import print_function
 
 import uuid
 
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
 from pgadmin.browser.server_groups.servers.databases.tests import \
     utils as database_utils
-from pgadmin.utils.route import BaseTestGenerator
+from pgadmin.utils.base_test_generator import BaseTestGenerator
+from pgadmin.utils.tests_helper import convert_response_to_json
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from . import utils as fts_parser_utils
 
 
-class FtsParserDeleteTestCase(BaseTestGenerator):
-    """ This class will delete added FTS Parser under schema node. """
+class TestFTSParserDelete:
+    def test_fts_parser_delete(self, request, context_of_tests):
+        """
+        When the FTS parser delete request is send to the backend
+        it returns 200 status
+        """
+        request.addfinalizer(self.tearDown)
 
-    scenarios = [
-        # Fetching default URL for FTS parser node.
-        ('Fetch FTS parser Node URL', dict(url='/browser/fts_parser/obj/'))
-    ]
+        url = '/browser/fts_parser/obj/'
 
-    def setUp(self):
+        self.tester = context_of_tests['test_client']
+        self.server = context_of_tests['server']
+        self.server_data = parent_node_dict['database'][-1]
+        self.server_id = self.server_data['server_id']
+        self.db_id = self.server_data['db_id']
+        self.db_name = self.server_data['db_name']
 
-        self.schema_data = parent_node_dict['schema'][-1]
-        self.schema_name = self.schema_data['schema_name']
-        self.schema_id = self.schema_data['schema_id']
-        self.server_id = self.schema_data['server_id']
-        self.db_id = self.schema_data['db_id']
-        self.db_name = parent_node_dict["database"][-1]["db_name"]
-        self.fts_parser_name = "fts_parser_%s" % str(uuid.uuid4())[1:8]
+        self.schema_info = parent_node_dict['schema'][-1]
+        self.schema_name = self.schema_info['schema_name']
+        self.schema_id = self.schema_info['schema_id']
 
-        self.fts_parser_id = fts_parser_utils.create_fts_parser(
-            self.server,
-            self.db_name,
-            self.schema_name,
-            self.fts_parser_name)
-
-    def runTest(self):
-        """ This function will delete FTS parser present under test schema. """
         db_con = database_utils.connect_database(self,
                                                  utils.SERVER_GROUP,
                                                  self.server_id,
                                                  self.db_id)
-
         if not db_con["info"] == "Database connected.":
             raise Exception("Could not connect to database.")
 
@@ -61,6 +58,13 @@ class FtsParserDeleteTestCase(BaseTestGenerator):
         if not schema_response:
             raise Exception("Could not find the schema.")
 
+        self.fts_parser_name = "fts_parser_%s" % str(uuid.uuid4())[1:8]
+        self.fts_parser_id = fts_parser_utils.create_fts_parser(
+            self.server,
+            self.db_name,
+            self.schema_name,
+            self.fts_parser_name)
+
         parser_response = fts_parser_utils.verify_fts_parser(
             self.server,
             self.db_name,
@@ -69,18 +73,23 @@ class FtsParserDeleteTestCase(BaseTestGenerator):
         if not parser_response:
             raise Exception("Could not find the FTS parser.")
 
-        delete_response = self.tester.delete(
-            self.url + str(utils.SERVER_GROUP) + '/' +
+        response = self.tester.delete(
+            url + str(utils.SERVER_GROUP) + '/' +
             str(self.server_id) + '/' +
             str(self.db_id) + '/' +
             str(self.schema_id) + '/' +
             str(self.fts_parser_id),
             follow_redirects=True)
 
-        self.assertEquals(delete_response.status_code, 200)
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        json_response | should.have.key('info') > should.be.equal.to(
+            'FTS Parser dropped')
+        json_response | should.have.key('errormsg') > should.be.empty
+        json_response | should.have.key('data')
+        json_response | should.have.key('result') > should.be.none
+        json_response | should.have.key('success') > should.be.equal.to(1)
 
     def tearDown(self):
-        """This function disconnect the test database."""
-
-        database_utils.disconnect_database(self, self.server_id,
-                                           self.db_id)
+        database_utils.client_disconnect_database(self.tester, self.server_id,
+                                                  self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parser/tests/test_fts_parser_get.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parser/tests/test_fts_parser_get.py
index c18c55a3..a6819821 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parser/tests/test_fts_parser_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parser/tests/test_fts_parser_get.py
@@ -11,47 +11,44 @@ from __future__ import print_function
 
 import uuid
 
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
 from pgadmin.browser.server_groups.servers.databases.tests import \
     utils as database_utils
-from pgadmin.utils.route import BaseTestGenerator
+from pgadmin.utils.base_test_generator import BaseTestGenerator
+from pgadmin.utils.tests_helper import convert_response_to_json
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from . import utils as fts_parser_utils
 
 
-class FtsParserGetTestCase(BaseTestGenerator):
-    """ This class will add new foreign table under schema node. """
-
-    scenarios = [
-        # Fetching default URL for FTS parser node.
-        ('Fetch FTS parser Node URL', dict(url='/browser/fts_parser/obj/'))
-    ]
+class TestFTSParserGet:
+    def test_fts_parser_get(self, request, context_of_tests):
+        """
+        When the FTS parser get request is send to the backend
+        it returns 200 status
+        """
+        request.addfinalizer(self.tearDown)
 
-    def setUp(self):
+        url = '/browser/fts_parser/obj/'
 
-        self.schema_data = parent_node_dict['schema'][-1]
-        self.schema_name = self.schema_data['schema_name']
-        self.schema_id = self.schema_data['schema_id']
-        self.server_id = self.schema_data['server_id']
-        self.db_id = self.schema_data['db_id']
-        self.db_name = parent_node_dict["database"][-1]["db_name"]
-        self.fts_parser_name = "fts_parser_%s" % str(uuid.uuid4())[1:8]
+        self.tester = context_of_tests['test_client']
+        self.server = context_of_tests['server']
+        self.server_data = parent_node_dict['database'][-1]
+        self.server_id = self.server_data['server_id']
+        self.db_id = self.server_data['db_id']
+        self.db_name = self.server_data['db_name']
 
-        self.fts_parser_id = fts_parser_utils.create_fts_parser(
-            self.server,
-            self.db_name,
-            self.schema_name,
-            self.fts_parser_name)
+        self.schema_info = parent_node_dict['schema'][-1]
+        self.schema_name = self.schema_info['schema_name']
+        self.schema_id = self.schema_info['schema_id']
 
-    def runTest(self):
-        """ This function will fetch new FTS parser under test schema. """
         db_con = database_utils.connect_database(self,
                                                  utils.SERVER_GROUP,
                                                  self.server_id,
                                                  self.db_id)
-
         if not db_con["info"] == "Database connected.":
             raise Exception("Could not connect to database.")
 
@@ -61,20 +58,28 @@ class FtsParserGetTestCase(BaseTestGenerator):
         if not schema_response:
             raise Exception("Could not find the schema.")
 
-        response = self.tester.get(self.url + str(utils.SERVER_GROUP) + '/' +
+        self.fts_parser_name = "fts_parser_%s" % str(uuid.uuid4())[1:8]
+        self.fts_parser_id = fts_parser_utils.create_fts_parser(
+            self.server,
+            self.db_name,
+            self.schema_name,
+            self.fts_parser_name)
+
+        response = self.tester.get(url + str(utils.SERVER_GROUP) + '/' +
                                    str(self.server_id) + '/' +
                                    str(self.db_id) + '/' +
                                    str(self.schema_id) + '/' +
                                    str(self.fts_parser_id),
                                    content_type='html/json')
 
-        self.assertEquals(response.status_code, 200)
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        json_response | should.have.key('name') > \
+            should.be.equal.to(self.fts_parser_name)
 
     def tearDown(self):
-        """This function delete the fts_parser and disconnect the test
-        database."""
         fts_parser_utils.delete_fts_parser(self.server, self.db_name,
                                            self.schema_name,
                                            self.fts_parser_name)
-        database_utils.disconnect_database(self, self.server_id,
-                                           self.db_id)
+        database_utils.client_disconnect_database(self.tester, self.server_id,
+                                                  self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parser/tests/test_fts_parser_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parser/tests/test_fts_parser_put.py
index b1ef78d3..53532f27 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parser/tests/test_fts_parser_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parser/tests/test_fts_parser_put.py
@@ -12,47 +12,45 @@ from __future__ import print_function
 import json
 import uuid
 
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
 from pgadmin.browser.server_groups.servers.databases.tests import \
     utils as database_utils
-from pgadmin.utils.route import BaseTestGenerator
+from pgadmin.utils.base_test_generator import BaseTestGenerator
+from pgadmin.utils.tests_helper import convert_response_to_json, \
+    assert_json_values_from_response
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from . import utils as fts_parser_utils
 
 
-class FtsParserPutTestCase(BaseTestGenerator):
-    """ This class will update added FTS Parser under schema node. """
-
-    scenarios = [
-        # Fetching default URL for FTS parser node.
-        ('Fetch FTS parser Node URL', dict(url='/browser/fts_parser/obj/'))
-    ]
+class TestFTSParserPut:
+    def test_fts_parser_put(self, request, context_of_tests):
+        """
+        When the FTS parser put request is send to the backend
+        it returns 200 status
+        """
+        request.addfinalizer(self.tearDown)
 
-    def setUp(self):
+        url = '/browser/fts_parser/obj/'
 
-        self.schema_data = parent_node_dict['schema'][-1]
-        self.schema_name = self.schema_data['schema_name']
-        self.schema_id = self.schema_data['schema_id']
-        self.server_id = self.schema_data['server_id']
-        self.db_id = self.schema_data['db_id']
-        self.db_name = parent_node_dict["database"][-1]["db_name"]
-        self.fts_parser_name = "fts_parser_%s" % str(uuid.uuid4())[1:8]
+        self.tester = context_of_tests['test_client']
+        self.server = context_of_tests['server']
+        self.server_data = parent_node_dict['database'][-1]
+        self.server_id = self.server_data['server_id']
+        self.db_id = self.server_data['db_id']
+        self.db_name = self.server_data['db_name']
 
-        self.fts_parser_id = fts_parser_utils.create_fts_parser(
-            self.server,
-            self.db_name,
-            self.schema_name,
-            self.fts_parser_name)
+        self.schema_info = parent_node_dict['schema'][-1]
+        self.schema_name = self.schema_info['schema_name']
+        self.schema_id = self.schema_info['schema_id']
 
-    def runTest(self):
-        """ This function will update FTS parser present under test schema. """
         db_con = database_utils.connect_database(self,
                                                  utils.SERVER_GROUP,
                                                  self.server_id,
                                                  self.db_id)
-
         if not db_con["info"] == "Database connected.":
             raise Exception("Could not connect to database.")
 
@@ -62,6 +60,13 @@ class FtsParserPutTestCase(BaseTestGenerator):
         if not schema_response:
             raise Exception("Could not find the schema.")
 
+        self.fts_parser_name = "fts_parser_%s" % str(uuid.uuid4())[1:8]
+        self.fts_parser_id = fts_parser_utils.create_fts_parser(
+            self.server,
+            self.db_name,
+            self.schema_name,
+            self.fts_parser_name)
+
         parser_response = fts_parser_utils.verify_fts_parser(
             self.server,
             self.db_name,
@@ -77,8 +82,8 @@ class FtsParserPutTestCase(BaseTestGenerator):
 
             }
 
-        put_response = self.tester.put(
-            self.url + str(utils.SERVER_GROUP) + '/' +
+        response = self.tester.put(
+            url + str(utils.SERVER_GROUP) + '/' +
             str(self.server_id) + '/' +
             str(self.db_id) + '/' +
             str(self.schema_id) + '/' +
@@ -86,13 +91,20 @@ class FtsParserPutTestCase(BaseTestGenerator):
             data=json.dumps(data),
             follow_redirects=True)
 
-        self.assertEquals(put_response.status_code, 200)
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        assert_json_values_from_response(
+            json_response,
+            'fts_parser',
+            'pgadmin.node.fts_parser',
+            False,
+            'icon-fts_parser',
+            self.fts_parser_name
+        )
 
     def tearDown(self):
-        """This function delete the fts_parser and disconnect the test
-                database."""
         fts_parser_utils.delete_fts_parser(self.server, self.db_name,
                                            self.schema_name,
                                            self.fts_parser_name)
-        database_utils.disconnect_database(self, self.server_id,
-                                           self.db_id)
+        database_utils.client_disconnect_database(self.tester, self.server_id,
+                                                  self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/__init__.py
index 8f5b6fb2..590026ad 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/__init__.py
@@ -6,11 +6,3 @@
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
-
-from pgadmin.utils.route import BaseTestGenerator
-
-
-class ForeignTableTestGenerator(BaseTestGenerator):
-
-    def runTest(self):
-        return []
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/test_fts_templates_add.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/test_fts_templates_add.py
index 12c44a85..54944014 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/test_fts_templates_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/tests/test_fts_templates_add.py
@@ -12,42 +12,45 @@ from __future__ import print_function
 import json
 import uuid
 
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
 from pgadmin.browser.server_groups.servers.databases.tests import \
     utils as database_utils
-from pgadmin.utils.route import BaseTestGenerator
+from pgadmin.utils.base_test_generator import BaseTestGenerator
+from pgadmin.utils.tests_helper import convert_response_to_json, \
+    assert_json_values_from_response
 from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from . import utils as fts_temp_utils
 
 
-class FtsTemplateAddTestCase(BaseTestGenerator):
-    """ This class will add new FTS template under test schema. """
+class TestFTSTemplatesAdd:
+    def test_fts_templates_add(self, request, context_of_tests):
+        """
+        When the FTS templates add request is send to the backend
+        it returns 200 status
+        """
+        request.addfinalizer(self.tearDown)
 
-    scenarios = [
-        # Fetching default URL for FTS template node.
-        (
-            'Fetch FTS templates Node URL',
-            dict(url='/browser/fts_template/obj/'))
-    ]
+        url = '/browser/fts_template/obj/'
 
-    def runTest(self):
-        """ This function will add FTS template present under
-            test schema. """
+        self.tester = context_of_tests['test_client']
+        self.server = context_of_tests['server']
+        self.server_data = parent_node_dict['database'][-1]
+        self.server_id = self.server_data['server_id']
+        self.db_id = self.server_data['db_id']
+        self.db_name = self.server_data['db_name']
 
-        self.schema_data = parent_node_dict['schema'][-1]
-        self.schema_name = self.schema_data['schema_name']
-        self.schema_id = self.schema_data['schema_id']
-        self.server_id = self.schema_data['server_id']
-        self.db_id = self.schema_data['db_id']
-        self.db_name = parent_node_dict["database"][-1]["db_name"]
+        self.schema_info = parent_node_dict['schema'][-1]
+        self.schema_name = self.schema_info['schema_name']
+        self.schema_id = self.schema_info['schema_id']
 
         db_con = database_utils.connect_database(self,
                                                  utils.SERVER_GROUP,
                                                  self.server_id,
                                                  self.db_id)
-
         if not db_con["info"] == "Database connected.":
             raise Exception("Could not connect to database.")
 
@@ -67,19 +70,26 @@ class FtsTemplateAddTestCase(BaseTestGenerator):
             }
 
         response = self.tester.post(
-            self.url + str(utils.SERVER_GROUP) + '/' +
+            url + str(utils.SERVER_GROUP) + '/' +
             str(self.server_id) + '/' + str(self.db_id) +
             '/' + str(self.schema_id) + '/',
             data=json.dumps(self.data),
             content_type='html/json')
 
-        self.assertEquals(response.status_code, 200)
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        assert_json_values_from_response(
+            json_response,
+            'fts_template',
+            'pgadmin.node.fts_template',
+            False,
+            'icon-fts_template',
+            self.fts_template_name
+        )
 
     def tearDown(self):
-        """This function delete the fts_template and disconnect the test
-                database."""
         fts_temp_utils.delete_fts_template(self.server, self.db_name,
                                            self.schema_name,
                                            self.fts_template_name)
-        database_utils.disconnect_database(self, self.server_id,
-                                           self.db_id)
+        database_utils.client_disconnect_database(self.tester, self.server_id,
+                                                  self.db_id)
